| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.Line
Protocols.Line.simple

# Method Protocols.Line.simple()->read_line()

Method read_line

  `string read_line()`

Description

  Read a line from the input.

Returns

  Returns `0` when more input is needed. Returns the requested line otherwise.

Note

  The returned line will not contain the line separator.

See also

  handle_command() , line_separator